<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_1d81e4078b112d9a9d9f9dd21fe" . "a4460" => base64_decode("Li4vZG9jdW1lbnRzL2Ns" . "YXNzZXMvV0ZTdGF0LnBo" . "cA=="), "_f457e604f" . "e9e77b3f88" . "4b013afe0c" . "10c" => base64_decode("Y3N2X2V4cG9" . "ydA=="), "_3893085d5d4dd5f7f" . "80042847fc8fd66" => base64_decode("Y29tbW9uLmhlYWRlci53" . "b3JrZmxvdw=="), "_c240fbf9" . "dae3f14bb" . "9192babf3" . "ef6731" => base64_decode("ZGF0ZV9tb2RpZml" . "lZA=="), "_21977da3ae6" . "4465ec85f89d" . "fb0b6dcf2" => base64_decode("ZG9jdW1lbnRzLmhl" . "YWRlci5wcm9jZXNz" . "ZWRfZG9jdW1lbnRz"), "_121c102c9c9ad9bf61745404c14631" . "2c" => base64_decode("d29ya2Zsb3dfc2VsZW" . "N0"), "_0c5123aa744f69bbc0e8b3ea" . "2f6e847d" => base64_decode("bG1zZw=" . "="), "_52ff3d2c2e521e8d4e39bc762e" . "a72a70" => base64_decode("UHJvY2Vzc2VkIGRvY3Vt" . "ZW50cw=="), "_8f06554776" . "135669af1f9" . "fe2598af4dc" => base64_decode("V29ya2Zs" . "b3c="), "_aa7e860da1acd4e767e0df9d7d4073" . "80" => base64_decode("ZGF0" . "ZV9j" . "cmVh" . "dGVk"));
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_1d81e4078b1" . "12d9a9d9f9dd" . "21fea4460"];





class ReportSummaryWorkflow extends ReportCommon
{
    var $start_created;
    var $start_modified;
    var $end_created;
    var $end_modified;
    var $workflow_id;
    function InitControls(\Psr\Http\Message\ServerRequestInterface $request)
    {
        $this->_initControls(array($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c240fbf9dae3f14bb" . "9192babf3ef6731"], $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_aa7e860da1acd4e767e0df9d7d407" . "380"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_f457e604fe9e7" . "7b3f884b013afe" . "0c10c"], $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_121c102c9c9ad9" . "bf61745404c1463" . "12c"]), $request);
        $this->start_created = $this->controls->date_created->GetStartDateObject();
        $this->end_created = $this->controls->date_created->GetEndDateObject();
        $this->start_modified = $this->controls->date_modified->GetStartDateObject();
        $this->end_modified = $this->controls->date_modified->GetEndDateObject();
        if ($this->start_created === null) {
            $this->start_created = new DateBigBang();
        }
        if ($this->end_created === null) {
            $this->end_created = new DateArmageddon();
        }
        if ($this->start_modified === null) {
            $this->start_modified = new DateBigBang();
        }
        if ($this->end_modified === null) {
            $this->end_modified = new DateArmageddon();
        }
        $this->csv_separator = $this->controls->csv_export->GetSeparator();
        $this->workflow_id = $this->controls->workflow_select->GetWFId();
        $this->workflow_id = $this->workflow_id > 0 ? $this->workflow_id : null;
    }
    function InitHeaders()
    {
        $this->column_headers = array(array($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_8f06554776135669af1f9fe2" . "598af4dc"], $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_3893085d5d4dd5f7f800428" . "47fc8fd66"])), array($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_52ff3d2" . "c2e521e8" . "d4e39bc7" . "62ea72a7" . "0"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_21977da" . "3ae64465" . "ec85f89d" . "fb0b6dcf" . "2"])));
        $this->column_types = array(new CommonListOutputText(), new CommonListOutputText());
    }
    function GetNumRows()
    {
        return WFStat::GetSummaryNumRows($this->workflow_id);
    }
    function GetData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        $_343a395319323dd7609bcbc465b4d034 = WFStat::GetSummaryReportArray($this->start_created->getDate(DATE_FORMAT_TIMESTAMP), $this->end_created->getDate(DATE_FORMAT_TIMESTAMP), $this->start_modified->getDate(DATE_FORMAT_TIMESTAMP), $this->end_modified->getDate(DATE_FORMAT_TIMESTAMP), $_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4, $this->workflow_id);
        $values = array();
        foreach ($_343a395319323dd7609bcbc465b4d034 as $_b8cfc2e06d9d1fec1893ea4a054002bf) {
            $values[] = array($_b8cfc2e06d9d1fec1893ea4a054002bf[0], $_b8cfc2e06d9d1fec1893ea4a054002bf[1]);
        }
        return $values;
    }
}